.card {
    $card-height: 52rem;
    $gradient-primary: linear-gradient(to right bottom, $color-primary-light, $color-primary-dark);
    $gradient-secondary: linear-gradient(to right bottom, $color-secondary-light, $color-secondary-dark);
    $gradient-tertiary: linear-gradient(to right bottom, $color-tertiary-light, $color-tertiary-dark);


    perspective: 150rem;
    height: $card-height;
    position: relative;

    &__side {
        height: $card-height;
        width: 100%;
        overflow: hidden;

        backface-visibility: hidden;

        position: absolute;
        top: 0;
        left: 0;

        border-radius: 3px;
        box-shadow: 0 1.5rem 4rem rgba($color-black, .15);

        transition: all .8s ease;

        &_back {
            transform: rotateY(180deg);

            display: flex;
            flex-direction: column;
            align-items: center;
            justify-content: center;
        }

        &_theme_primary {
            background-image: $gradient-primary;
        }

        &_theme_secondary {
            background-image: $gradient-secondary;
        }

        &_theme_tertiary {
            background-image: $gradient-tertiary;
        }
    }

    &:hover &__side_front {
        transform: rotateY(-180deg);
    }

    &:hover &__side_back {
        transform: rotateY(0);
    }

    &__heading {
        width: 75%;

        position: absolute;
        top: 12rem;
        right: 2rem;
        z-index: 10;

        font-size: 2.8rem;
        font-weight: 300;
        color: $color-white;

        text-transform: uppercase;
        text-align: right;
    }

    &__heading-span {
        padding: 1rem 1.5rem;
        box-decoration-break: clone;

        &_one {
            background-image: linear-gradient(
                to right bottom,
                rgba($color-secondary-light, .85),
                rgba($color-secondary-dark, .85)
            );
        }

        &_two {
            background-image: linear-gradient(
                to right bottom,
                rgba($color-primary-light, .85),
                rgba($color-primary-dark, .85)
            );
        }

        &_three {
            background-image: linear-gradient(
                to right bottom,
                rgba($color-tertiary-light, .85),
                rgba($color-tertiary-dark, .85)
            );
        }
    }

    &__picture {
        height: 23rem;

        background-size: cover;
        background-blend-mode: screen;
        clip-path: polygon(0 0, 100% 0, 100% 85%, 0 100%);

        border-top-left-radius: 3px;
        border-top-right-radius: 3px;

        &_one {
            background-image: $gradient-secondary,
                image-set(
                    url('./../img/nat-7.jpg') 1x,
                    url('./../img/nat-7-2x.jpg') 2x,
                    url('./../img/nat-7-3x.jpg') 3x
                );
        }

        &_two {
            background-image: $gradient-primary,
                image-set(
                    url('./../img/nat-6.jpg') 1x,
                    url('./../img/nat-6-2x.jpg') 2x,
                    url('./../img/nat-6-3x.jpg') 3x
                );
        }

        &_three {
            background-image: $gradient-tertiary,
                image-set(
                    url('./../img/nat-5.jpg') 1x,
                    url('./../img/nat-5-2x.jpg') 2x,
                    url('./../img/nat-5-3x.jpg') 3x
                );
        }
    }

    &__details-list {
        list-style: none;

        width: 80%;
        padding: 3rem;
        margin: 0 auto;
    }

    &__details-item {
        padding: 1rem;

        text-align: center;
        font-size: 1.5rem;

        &:not(:last-child) {
            border-bottom: 1px solid $color-gray-light-200;
        }
    }

    &__cta {
        width: 100%;
        display: flex;
        flex-direction: column;
        align-items: center;

        color: $color-white;
    }

    &__price-box {
        margin-bottom: 6rem;
        text-align: center;
    }

    &__price-only {
        font-size: 1.4rem;
        text-transform: uppercase;
    }

    &__price-value {
        position: relative;
        padding-left: 4rem;

        font-size: 6rem;
        font-weight: 100;

        &::before {
            content: '$';
            position: absolute;
            left: 0;
        }
    }

    @media only screen and (max-width:  62em),
           only screen and (hover: none) {
        height: auto;
        overflow: hidden;

        border-radius: 3px;
        background-color: $color-white;
        box-shadow: 0 1.5rem 4rem rgba($color-black, .15);

        &__side {
            height: auto;
            position: relative;

            border-radius: 0;
            box-shadow: none;

            &_back {
                transform: rotateY(0);
                clip-path: polygon(0 15%, 100% 0, 100% 100%, 0 100%);
            }
        }

        &:hover &__side_front {
            transform: rotateY(0);
        }

        &__cta {
            padding: 7rem 4rem 4rem 4rem;
        }

        &__details-list {
            padding: 1rem 3rem;
        }

        &__price-box {
            margin-bottom: 3rem;
        }

        &__price-value {
            padding-left: 2rem;
            font-size: 3rem;
        }
    }
}
